Package com.io7m.cedarbridge.runtime.api

# Record Class CBTrue

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.runtime.api.CBTrue

All Implemented Interfaces:
  `CBBooleanType`, `CBSerializableType`, `Formattable`

public record CBTrue() extends Record implements CBBooleanType
The True case.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBTrue()`
  Creates an instance of a `CBTrue` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `asBoolean()`
  `static CBTrue`
  `deserialize(CBSerializationContextType context)`
  Deserialize the given value.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `void`
  `formatTo(Formatter formatter, int flags, int width, int precision)`
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(CBSerializationContextType context, CBTrue x)`
  Serialize the given value.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBTrue

    public CBTrue()
    Creates an instance of a `CBTrue` record class.

- ## Method Details

  - ### serialize

    public static void serialize(CBSerializationContextType context, CBTrue x) throws IOException
    Serialize the given value.
    Parameters:
      `context` - The serialization context
      `x` - The value
    Throws:
      `IOException` - On errors

  - ### formatTo

    public void formatTo(Formatter formatter, int flags, int width, int precision)
    Specified by:
      `formatTo` in interface `Formattable`

  - ### asBoolean

    public boolean asBoolean()
    Specified by:
      `asBoolean` in interface `CBBooleanType`
    Returns:
      This value as a Java boolean

  - ### deserialize

    public static CBTrue deserialize(CBSerializationContextType context) throws IOException
    Deserialize the given value.
    Parameters:
      `context` - The serialization context
    Returns:
      The deserialized value
    Throws:
      `IOException` - On errors

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.